version: '3'

services:
  database:
    image: postgres:12-alpine
    environment:
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres
    volumes:
      - pgdata:/var/lib/postgresql/data
    ports:
      - '5432:5432'

  frontend:
    build:
      context: .
    command: "make start-webpacker"
    volumes:
      - './blog:/app/'

  application:
    build:
      context: .
    command: "make start"
    volumes:
      - './blog:/app/'
    ports:
      - '3000:3000'
    depends_on:
      - database

volumes:
  pgdata:
